#include<iostream>
using namespace std;
int n, k, x;
int main(){

    cin >> n >> k >> x;
    for(int i = 1; i <= n; i++){
        if(i == 1)
            cout << "1 ";
        else if(i == 2)
            cout << 1 + x << " ";
        else if(i == n)
            cout << 1 + 2 * x << endl;
        else cout << 1 + x + 1 << " ";
    }


    return 0;
}